1. Orders
Treek-Public
  • Authentication
    • User login with email and password
      POST
  • Orders
    • Create Order
      POST
    • List Orders
      GET
    • Order Details
      GET
    • Update Order
      PUT
    • Cancel Order
      POST
    • Reset Order
      POST
    • Get Statuses
      GET
    • Verify Item
      POST
    • Verify Order
      POST
    • Order Price
      GET
  • Shipments
    • Create Shipment
      POST
    • Return Shipment
      POST
    • Print Invoice
      GET
  • Boxes
    • Create Box
      POST
    • Get Boxes
      GET
    • Box Details
      GET
    • Update Box
      PUT
  • Merchants
    • Merchants Details
      GET
  • Profile
    • User Details
      GET
    • Update User
      PUT
    • Change Password
      PUT
  • Utilities
    • Countries List
      GET
    • Cities List
      GET
    • Couriers List
      GET
  • Warehouses
    • Warehouses List
    • Create warehouse
    • warehouse Details
  • Price Calculator
    • Price Calculator
  • Packaging Type
    • Packaging Types List
    • Packaging Type Details
  • statistics
    • Statistics
  • Schemas
    • LoginRequest
    • CreateOrderRequest
    • UpdateOrderRequest
    • Price Calculator
    • VerifyItem
    • CreateWarehouseRequest
    • Shipment Package
    • Create Reverse Shipment
    • OrderPackages
    • OrderItem
    • Order
    • City
    • Country
    • User
    • OrderItem
    • CreateOrderItemRequest
    • CalculateRatesRequest
    • BoxDimensions
    • OrderShippingRate
    • RateCalculationParams
    • Warehouse
    • Box
    • CreateBoxRequest
    • UpdateBoxRequest
    • ValidationError
    • NotFoundError
    • UnauthorizedError
    • ForbiddenError
    • PaginationMeta
    • PaginationLinks
  1. Orders

Order Details

GET
https://app.gotreek.com/api/orders/{id}
Orders
Last modified:2025-12-25 10:55:47
Retrieve detailed information about a specific order including items and relationships with proper error handling.
📌
Authentication
Bearer token authentication is required.
Only orders owned by the authenticated merchant can be retrieved.
💡
Behavior
Returns the order by its numeric ID, or a 404 error if the order does not exist.
Includes related data such as receiverCity, receiverCountry, merchant and the items collection with quantities and prices.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://app.gotreek.com/api/auth/login
or
Path Params

Header Params

Responses

🟢200
application/json
Order retrieved successfully
Body

🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.gotreek.com/api/orders/' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "success": true,
    "data": {
        "id": 43978,
        "order_number": "17676030724246",
        "status": "pending",
        "date": "2026-01-05 08:51:12",
        "order_grand_total": 1601,
        "currency": "SAR",
        "description": null,
        "payment_method": "paid",
        "receiver_first_name": "testorderbox",
        "receiver_last_name": "testorderbox",
        "receiver_phone": "+966501234567",
        "receiver_email": null,
        "receiver_short_address": "RRRD2929",
        "receiver_country_id": 1,
        "receiver_country": {
            "id": 1,
            "name": "Saudi Arabia",
            "name_zid": "السعودية",
            "name_ar": "السعودية",
            "code_country": "SA",
            "phone_code": "+966",
            "phone_number_length": 9,
            "created_at": "2024-12-22T18:23:12.000000Z",
            "updated_at": "2025-04-16T08:52:36.000000Z"
        },
        "receiver_country_code": null,
        "receiver_city": {
            "id": 62,
            "country_id": 1,
            "name": "Riyadh",
            "name_ar": "الرياض",
            "created_at": null,
            "updated_at": "2025-04-16T09:15:16.000000Z"
        },
        "receiver_address_line": "testapidogprod",
        "receiver_street_name": null,
        "receiver_block": null,
        "receiver_postal_code": null,
        "receiver_latitude": null,
        "receiver_longitude": null,
        "shipper_name": "تست",
        "shipper_email": null,
        "shipper_phone": "+966533112592",
        "shipper_country_id": 1,
        "shipper_city": "جدة",
        "shipper_address_line": "الهنداوية شارع زهرة اللوتس مقابل تموينات التوفير ",
        "shipper_street_name": null,
        "shipper_block": null,
        "shipper_postal_code": null,
        "shipper_latitude": null,
        "shipper_longitude": null,
        "shipper_short_address": null,
        "total_weight": 0,
        "merchant_id": null,
        "delivered_at": null,
        "tax": 0,
        "external_id": null,
        "webhook_id": null,
        "created_at": "2026-01-05T08:51:12.000000Z",
        "updated_at": "2026-01-05T08:51:12.000000Z",
        "warehouse_id": 207,
        "receiver_city_id": 62,
        "cod_wallet_id": null,
        "shipment_external_id": null,
        "selected_shipment_company": null,
        "source": "manual",
        "return_type": null,
        "volumetric_divisor": null,
        "merchant_shipment_id": null,
        "return_ordered_at": null,
        "merchant": null,
        "items": [
            {
                "id": 62504,
                "order_id": 43978,
                "name": "غطاء أيفون 15",
                "sku": null,
                "quantity": 2,
                "weight": 1,
                "weight_unit": null,
                "price": 100,
                "total_price": null,
                "tax": null,
                "currency": "SAR",
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z",
                "verification_status": "pending",
                "verified_at": null,
                "verified_by": null,
                "wrong_attempts": 0,
                "verification_note": null
            },
            {
                "id": 62505,
                "order_id": 43978,
                "name": "غطاء أيفون",
                "sku": null,
                "quantity": 2,
                "weight": 0,
                "weight_unit": null,
                "price": 100,
                "total_price": null,
                "tax": null,
                "currency": "SAR",
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z",
                "verification_status": "pending",
                "verified_at": null,
                "verified_by": null,
                "wrong_attempts": 0,
                "verification_note": null
            }
        ],
        "boxes": [
            {
                "id": 33041,
                "order_id": 43978,
                "box_id": null,
                "length": 123,
                "width": 123,
                "height": 123,
                "weight": 12300,
                "packaging_type_id": 1,
                "created_at": "2026-01-05T08:51:12.000000Z",
                "updated_at": "2026-01-05T08:51:12.000000Z"
            }
        ]
    }
}
Modified at 2025-12-25 10:55:47
Previous
List Orders
Next
Update Order
Built with